@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@800&display=swap');

/*.container {
    overflow: hidden;
}

.sliding-background {
    background: url("/media/img/pages/glaxverse/stock1.jpg") repeat-x;
    height: 560px;
    width: 5076px;
    animation: slide 60s linear infinite;
}

@keyframes slide{
    0% {
        transform: translate3d(0, 0, 0);
    }
    100% {
        transform: translate3d(-1692px, 0, 0);
    }
}*/
body
{
    background: linear-gradient(45deg, var(--glax-body-main) 0%, var(--glax-body-dark) 69%, var(--glax-body-outline) 100%);
    max-width: 100vw;
}
#content
{
    font-family: Montserrat;
    font-weight: 800;
    padding: 0;
}
h1
{
    font-size: 5rem;
}
#motto {
    font-size: 3rem;
    text-align: center;
}
.fullwidth {
    min-height: 100vh;
}
section {
    min-height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    position: relative;
    overflow: hidden;
}
section:nth-child(odd) {
    color: var(--glax-belly);
}
section:nth-child(even) {
    color: var(--glax-body-dark);
}
.background {
    position: absolute;
    left: -10px;
    right: -10px;
    top: -10px;
    bottom: -10px;
    filter: blur(max(.25vh, .25vw, 6px));
    background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}
section:nth-child(6n+0) >.background {
    background-image: url("/media/img/pages/glaxverse/stock3.jpg");
}
section:nth-child(6n+2) >.background {
    background-image: url("/media/img/pages/glaxverse/stock2.jpg");
}
section:nth-child(6n+4) >.background {
    background-image: url("/media/img/pages/glaxverse/stock4.jpg");
}

section .container {
    margin: 100px;
    max-width: 1200px;
}
section h2{
    font-size: 40px;
    text-align: center;
    text-transform: uppercase;
    color: var(--glax-belly);
    text-shadow: 1px 1px var(--glax-body-outline), -1px -1px var(--glax-body-outline), -1px 1px var(--glax-body-outline), 1px -1px var(--glax-body-outline)
}
section .text-container{
    display: flex;
}
section .text-container .text-box {
    margin: 20px;
    padding: 20px;
    flex: 1 0 0;
}
section:nth-child(odd) .text-container .text-box
{
    background: var(--glax-body-outline);
}
section:nth-child(even) .text-container .text-box
{
    background: var(--ych-alt);
}
section .text-container .text-box h3{
    font-size: 30px;
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 10px;
}

@media (max-width: 900px){
    section h1{
        font-size: 2rem;
        text-align: center;
    }
    section .text-container{
        flex-direction: column;
    }
}

.reveal{
    position: relative;
    transform: translateY(150px);
    opacity: 0;
    transition: 1s all ease;
}

.reveal.active{
    transform: translateY(0);
    opacity: 1;
}

#go-down {
    font-size: 32px;
    border: 4px solid;
    border-radius: 100%;
    padding: 20px;
    margin-top: 30px;
    cursor: pointer;
    width: 32px;
    height: 32px;
}
#go-down:hover {
    box-shadow: white 0 0 20px;
    text-shadow: white 0 0 10px;
}
